<?php
/**
 * @package BILLETS
 * @link 	http://www.dioscouri.com
 * @license GNU/GPLv2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view' );

/**
 * Billets View
 *
 * @package BILLETS
 */
class BilletsViewUsers extends JView {
	/**
	 * Billets view display method
	 * @return void
	 **/
	 // **********************************************
	function display($tpl = null) {
		global $mainframe;
        jimport('joomla.utilities.date');
        
        JToolBarHelper::title( JText::_( _BILLETS_NEWTICKET ), 'billets' );
 
		//get the data
		$items = &$this->get('Data');
		$this->assignRef('items', $items);
		
		$pagination = $this->get( 'Pagination' );
		$this->assignRef( 'pagination' , $pagination);
		
		$search				= $mainframe->getUserStateFromRequest( 'search', 'search', '',	'string' );
		$search				= JString::strtolower($search);
		$this->assignRef('search', $search);
		
		$this->assignRef( 'order', strval( htmlspecialchars( $mainframe->getUserStateFromRequest( "order", 'order', 'id' ) ) ) );
		$this->assignRef( 'order_dir', strval( htmlspecialchars( $mainframe->getUserStateFromRequest( "order_dir", 'order_dir', 'asc' ) ) ) );

		parent::display($tpl);

    }
	 // **********************************************
	 
}
// ************************************************************************